---
apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: {{ tekton_name }}
spec:
  allowedHostPaths:
  - pathPrefix: /dev/fuse
    readOnly: false
{% if tekton_preferred_builder != 'img' %}
  allowPrivilegeEscalation: true
{% else %}
  allowPrivilegeEscalation: false
{% endif %}
  forbiddenSysctls:
  - '*'
  fsGroup:
{% if tekton_preferred_builder != 'img' %}
    rule: RunAsAny
  privileged: true
{% else %}
    ranges:
    - max: 65535
      min: 1
    rule: MustRunAs
{% endif %}
  requiredDropCapabilities:
  - ALL
  runAsUser:
{% if tekton_preferred_builder != 'img' %}
    rule: RunAsAny
{% else %}
    rule: MustRunAsNonRoot
{% endif %}
  seLinux:
    rule: RunAsAny
  supplementalGroups:
{% if tekton_preferred_builder != 'img' %}
    rule: RunAsAny
{% else %}
    ranges:
    - max: 65535
      min: 1
    rule: MustRunAs
{% endif %}
  volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - hostPath
  - persistentVolumeClaim
  - projected
  - secret
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ tekton_name }}
  namespace: {{ namespace }}
rules:
- apiGroups:
  - policy
  resourceNames:
  - {{ tekton_name }}
  resources:
  - podsecuritypolicies
  verbs:
  - use
